# subsidy_gui.cpp File Reference

`#include "stdafx.h"`
`#include "openttd.h"`
`#include "station.h"`
`#include "industry.h"`
`#include "town.h"`
`#include "economy_func.h"`
`#include "variables.h"`
`#include "cargotype.h"`
`#include "window_gui.h"`
`#include "strings_func.h"`
`#include "date_func.h"`
`#include "viewport_func.h"`
`#include "gfx_func.h"`
`#include "table/strings.h"`

Go to the source code of this file.

## Functions

static void | HandleSubsidyClick (int y)
static void | DrawSubsidiesWindow (const Window *w)
static void | SubsidiesListWndProc (Window *w, WindowEvent *e)
void | ShowSubsidiesList ()

## Variables

static const Widget | _subsidies_list_widgets []
static const WindowDesc | _subsidies_list_desc

## Detailed Description

Definition in file subsidy_gui.cpp.

## Variable Documentation

const WindowDesc _subsidies_list_desc`[static]`

Initial value:

     {
      WDP_AUTO, WDP_AUTO, 320, 127, 630, 127,
      WC_SUBSIDIES_LIST, WC_NONE,
      WDF_STD_TOOLTIPS | WDF_STD_BTN | WDF_DEF_WIDGET | WDF_STICKY_BUTTON,
      _subsidies_list_widgets,
      SubsidiesListWndProc
    }

Definition at line 169 of file subsidy_gui.cpp.

const Widget _subsidies_list_widgets[]`[static]`

Initial value:

     {
    {   WWT_CLOSEBOX, RESIZE_NONE,  13,   0,  10,   0,  13, STR_00C5,           STR_018B_CLOSE_WINDOW},
    {    WWT_CAPTION, RESIZE_RIGHT, 13,  11, 307,   0,  13, STR_2025_SUBSIDIES, STR_018C_WINDOW_TITLE_DRAG_THIS},
    {  WWT_STICKYBOX, RESIZE_LR,    13, 308, 319,   0,  13, STR_NULL,           STR_STICKY_BUTTON},
    {      WWT_PANEL, RESIZE_RIGHT, 13,   0, 319,  14, 126, 0x0,                STR_01FD_CLICK_ON_SERVICE_TO_CENTER},
    {   WIDGETS_END},
    }

Definition at line 161 of file subsidy_gui.cpp.